# What’s in it for you

Material for MkDocs Insiders is packed with additional features that are
exclusively available to our monthly sponsors – the moment you become a sponsor,
you'll gain __immediate access__ to all the exclusive Insiders features, ready
for you to __start using now__.

## Features

Our sponsors currently enjoy access to the following 26 additional features. New
features are added regularly, so be sure to check back regularly to stay
updated.

<div class="mdx-columns" markdown>

- [x] [Blog plugin: pinned posts] :material-alert-decagram:{ .mdx-pulse title="Added on February 24, 2024" }
- [x] [Instant previews] :material-alert-decagram:{ .mdx-pulse title="Added on January 28, 2024" }
- [x] [Footnote tooltips] :material-alert-decagram:{ .mdx-pulse title="Added on January 24, 2024" }
- [x] [Tags plugin: advanced settings]
- [x] [Tags plugin: nested tags]
- [x] [Tags plugin: shadow tags]
- [x] [Stay on page when switching languages]
- [x] [Blog plugin: author profiles]
- [x] [Blog plugin: advanced settings]
- [x] [Projects plugin]
- [x] [Instant prefetching]
- [x] [Social plugin: custom layouts]
- [x] [Social plugin: background images]
- [x] [Code range selection]
- [x] [Code annotations: custom selectors]
- [x] [Privacy plugin: advanced settings]
- [x] [Optimize plugin]
- [x] [Navigation path] (Breadcrumbs)
- [x] [Typeset plugin]
- [x] [Privacy plugin: external links]
- [x] [Navigation subtitles]
- [x] [Tags plugin: allow list] + [custom sorting]
- [x] [Blog plugin: custom index pages]
- [x] [Blog plugin: related links]
- [x] [Meta plugin]
- [x] [Tags plugin: configurable listings]

</div>

## What's coming next

> Too many ideas, too little time!

Our backlog is filled with countless ideas that we came up with or that have
been suggested by our community. We're also working to make our roadmap public.
If you have something specific in mind, and wonder whether we've considered it,
feel free to ask on our [discussion board].

  [discussion board]: https://github.com/squidfunk/mkdocs-material/discussions

## Frequent releases

We’re committed to quickly addressing bugs, that come up and keeping our open
issue count as low as possible. Both our community and Insiders editions are
regularly updated, ensuring you have the latest features and fixes available at
all times.

## Additional benefits

As a premium sponsors, you'll enjoy additional benefits that are not available
to our individual sponsors. When sponsoring our work on one of our [commercial
tiers] starting at [$125 a month], you'll get additional benefits that we offer
for enterprises:

- [Prioritized] bug reports to keep your projects running smoothly
- Logo placement and backlink on our site for increased visibility
- Private support via email for any questions to our maintainers

  [commercial tiers]: sponsoring-tiers.md/#commercial-use
  [$125 a month]: sponsoring-tiers.md/#the-organization
  [list of premium sponsors]: https://github.com/squidfunk/mkdocs-material#user-content-premium-sponsors
  [Prioritized]: ../support.md/#prioritized-support

----

Interested in supporting us? Together, let’s continue to make Material for
MkDocs an even more powerful tool for everyone. We’re excited for what the
future holds!

[:octicons-heart-fill-24:{ .mdx-heart } &nbsp; Show your support <span class="mdx-sponsorship-count" data-mdx-component="sponsorship-count"></span>][sponsoring tiers]{ .md-button .md-button--primary .mdx-sponsorship-button }

  [sponsoring tiers]: sponsoring-tiers.md#commercial-use

<div data-mdx-component="sponsorship"></div>

## Funding <span class="mdx-sponsorship-total" data-mdx-component="sponsorship-total"></span>

### Goals

The following section lists all funding goals. Each goal contains a list of
features prefixed with a checkmark symbol, denoting whether a feature is
:octicons-check-circle-fill-24:{ style="color: #00e676" } already available or
:octicons-check-circle-fill-24:{ style="color: var(--md-default-fg-color--lightest)" }
planned, but not yet implemented. This means that each funding goal unlocks new
features for general availability in the community edition, after sponsors have
used them for a while.

#### $ 16,000 – Chipotle

- [x] [Meta plugin]
- [x] [Blog plugin: related links]
- [x] [Blog plugin: custom index pages]
- [x] [Tags plugin: configurable listings]
- [x] [Tags plugin: allow list] + [custom sorting]
- [x] [Navigation subtitles]

  [Meta plugin]: ../plugins/meta.md
  [Blog plugin: related links]: ../setup/setting-up-a-blog.md#adding-related-links
  [Blog plugin: custom index pages]: ../setup/setting-up-a-blog.md#custom-index-pages
  [Tags plugin: configurable listings]: ../setup/setting-up-tags.md#configurable-listings
  [Tags plugin: allow list]: ../plugins/tags.md#config.tags_allowed
  [custom sorting]: ../plugins/tags.md#config.tags_sort_by
  [Navigation subtitles]: ../reference/index.md#setting-the-page-subtitle

#### $ 18,000 – Lemon Drop

- [x] [Optimize plugin]
- [x] [Navigation path] (Breadcrumbs)
- [x] [Blog plugin: advanced settings]
- [x] [Blog plugin: author profiles]
- [x] [Blog plugin: pinned posts]
- [x] [Instant prefetching]

  [Optimize plugin]: ../plugins/optimize.md
  [Navigation path]: ../setup/setting-up-navigation.md#navigation-path
  [Blog plugin: advanced settings]: ../setup/setting-up-a-blog.md#advanced-settings
  [Blog plugin: author profiles]: ../setup/setting-up-a-blog.md#adding-author-profiles
  [Blog plugin: pinned posts]: ../setup/setting-up-a-blog.md#pinning-a-post
  [Instant prefetching]: ../setup/setting-up-navigation.md#instant-prefetching

#### $ 20,000 – Jalapeño

- [x] [Typeset plugin]
- [x] [Footnote tooltips]
- [x] [Privacy plugin: advanced settings]
- [x] [Privacy plugin: external links]
- [ ] to be announced
- [ ] to be announced

  [Typeset plugin]: ../plugins/typeset.md
  [Footnote tooltips]: ../reference/footnotes.md#footnote-tooltips
  [Privacy plugin: external links]: ../plugins/privacy.md#external-links
  [Privacy plugin: advanced settings]: ../setup/ensuring-data-privacy.md#advanced-settings

#### $ 22,000 – Habanero Orange

- [x] [Instant previews]
- [x] [Social plugin: custom layouts]
- [x] [Social plugin: background images]
- [x] [Code range selection]
- [x] [Code annotations: custom selectors]
- [x] [Stay on page when switching languages]

  [Instant previews]: ../setup/setting-up-navigation.md#instant-previews
  [Social plugin: custom layouts]: ../setup/setting-up-social-cards.md#customization
  [Social plugin: background images]: ../plugins/social.md#option.background_image
  [Code range selection]: ../reference/code-blocks.md#code-selection-button
  [Code annotations: custom selectors]: ../reference/code-blocks.md#custom-selectors
  [Stay on page when switching languages]: ../setup/changing-the-language.md#stay-on-page

#### $ 24,000 – Blockpaprika

- [x] [Projects plugin]
- [x] [Tags plugin: nested tags]
- [x] [Tags plugin: shadow tags]
- [x] [Tags plugin: advanced settings]
- [ ] to be announced
- [ ] to be announced

  [Projects plugin]: ../plugins/projects.md
  [Tags plugin: nested tags]: ../setup/setting-up-tags.md#nested-tags
  [Tags plugin: shadow tags]: ../setup/setting-up-tags.md#shadow-tags
  [Tags plugin: advanced settings]: ../setup/setting-up-tags.md#advanced-settings

### Goals completed

This section celebrates the milestones we’ve achieved thanks to our incredible
sponsors. Those features were once part of Material for MkDocs Insiders, and
therefore only available to our sponsors, and are now generally available to
be used by all users.

#### $ 14,000 – Goat's Horn

- [x] [Privacy plugin]
- [x] [Card grids]
- [x] [Tooltips]
- [x] [Content tabs: anchor links]
- [x] [Automatic light / dark mode]
- [x] [Document contributors]

  [Privacy plugin]: ../setup/ensuring-data-privacy.md#built-in-privacy-plugin
  [Card grids]: ../reference/grids.md
  [Tooltips]: ../reference/tooltips.md
  [Content tabs: anchor links]: ../reference/content-tabs.md#anchor-links
  [Automatic light / dark mode]: ../setup/changing-the-colors.md#automatic-light-dark-mode
  [Document contributors]: ../setup/adding-a-git-repository.md#document-contributors

#### $ 12,000 – Piri Piri

- [x] [Blog plugin]
- [x] [Chinese search support]
- [x] [Annotations]
- [x] [Navigation icons]
- [x] [Navigation pruning]
- [x] [Navigation status]

  [Blog plugin]: ../setup/setting-up-a-blog.md
  [Chinese search support]: ../blog/posts/chinese-search-support.md
  [Annotations]: ../reference/annotations.md
  [Navigation icons]: ../reference/index.md#setting-the-page-icon
  [Navigation pruning]: ../setup/setting-up-navigation.md#navigation-pruning
  [Navigation status]: ../reference/index.md#setting-the-page-status

#### $ 10,000 – Carolina Reaper

- [x] [Brand new search plugin]
- [x] [Rich search previews]
- [x] [Tokenizer with lookahead]
- [x] [Advanced search highlighting]
- [x] [Excluding content from search]
- [x] [Offline plugin]

  [Brand new search plugin]: ../blog/posts/search-better-faster-smaller.md
  [Rich search previews]: ../blog/posts/search-better-faster-smaller.md#rich-search-previews
  [Tokenizer with lookahead]: ../blog/posts/search-better-faster-smaller.md#tokenizer-lookahead
  [Advanced search highlighting]: ../blog/posts/search-better-faster-smaller.md#accurate-highlighting
  [Excluding content from search]: ../setup/setting-up-site-search.md#search-exclusion
  [Offline plugin]: ../setup/building-for-offline-usage.md

#### $ 8,000 – Scotch Bonnet

- [x] [Social cards]
- [x] Code annotations: anchor links
- [x] [Code annotations: strip comments]
- [x] [Tag icons]
- [x] [Table of contents anchor following]
- [x] Sidebars automatically scroll to active item

  [Social cards]: ../setup/setting-up-social-cards.md
  [Code annotations: strip comments]: ../reference/code-blocks.md#stripping-comments
  [Tag icons]: ../setup/setting-up-tags.md#tag-icons-and-identifiers
  [Table of contents anchor following]: ../setup/setting-up-navigation.md#anchor-following

#### $ 7,000 – Royal Gold

- [x] [Cookie consent]
- [x] [Was this page helpful?]
- [x] [Dismissable announcement bar]

  [Cookie consent]: ../setup/ensuring-data-privacy.md#cookie-consent
  [Was this page helpful?]: ../setup/setting-up-site-analytics.md#was-this-page-helpful
  [Dismissable announcement bar]: ../setup/setting-up-the-header.md#mark-as-read

#### $ 6,000 – Trinidad Scorpion

- [x] [Boosting pages in search]
- [x] [Custom admonition icons]
- [x] [Linking content tabs]

  [Boosting pages in search]: ../setup/setting-up-site-search.md#search-boosting
  [Custom admonition icons]: ../reference/admonitions.md#admonition-icons
  [Linking content tabs]: ../reference/content-tabs.md#linked-content-tabs

#### $ 5,000 – Aji Panca

- [x] [Mermaid.js integration]
- [x] Stay on page when switching versions
- [x] [Tags with search integration]

  [Mermaid.js integration]: ../reference/diagrams.md
  [Tags with search integration]: ../setup/setting-up-tags.md

#### $ 4,000 – Ghost Pepper

- [x] [Anchor tracking]
- [x] [Code annotations]
- [x] [Version warning]

  [Anchor tracking]: ../setup/setting-up-navigation.md#anchor-tracking
  [Code annotations]: ../reference/code-blocks.md#adding-annotations
  [Version warning]: ../setup/setting-up-versioning.md#version-warning

#### $ 3,000 – Caribbean Red

- [x] [Sticky navigation tabs]
- [x] [Section index pages]
- [x] [Remove generator notice]

  [Sticky navigation tabs]: ../setup/setting-up-navigation.md#sticky-navigation-tabs
  [Section index pages]: ../setup/setting-up-navigation.md#section-index-pages
  [Remove generator notice]: ../setup/setting-up-the-footer.md#generator-notice

#### $ 2,500 – Biquinho Vermelho

- [x] [Search suggestions]
- [x] [Search highlighting]
- [x] [Search sharing]

  [Search suggestions]: ../setup/setting-up-site-search.md#search-suggestions
  [Search highlighting]: ../setup/setting-up-site-search.md#search-highlighting
  [Search sharing]: ../setup/setting-up-site-search.md#search-sharing

#### $ 2,000 – Black Pearl

- [x] Latest release tag
- [x] [Color palette toggle]
- [x] [Back-to-top button]

  [Color palette toggle]: ../setup/changing-the-colors.md#color-palette-toggle
  [Back-to-top button]: ../setup/setting-up-navigation.md#back-to-top-button

#### $ 1,500 – Bhut Jolokia

- [x] [Admonition inline blocks]
- [x] [Site language selection]
- [x] [Versioning]

  [Admonition inline blocks]: ../reference/admonitions.md#inline-blocks
  [Site language selection]: ../setup/changing-the-language.md#site-language-selector
  [Versioning]: ../setup/setting-up-versioning.md#versioning

#### $ 1,000 – Prairie Fire

- [x] [Navigation sections]
- [x] [Navigation expansion]
- [x] [Hiding the sidebars]
- [x] [Table of contents in navigation]
- [x] [Header hides on scroll]

  [Navigation sections]: ../setup/setting-up-navigation.md#navigation-sections
  [Navigation expansion]: ../setup/setting-up-navigation.md#navigation-expansion
  [Hiding the sidebars]: ../setup/setting-up-navigation.md#hiding-the-sidebars
  [Table of contents in navigation]: ../setup/setting-up-navigation.md#navigation-integration
  [Header hides on scroll]: ../setup/setting-up-the-header.md#automatic-hiding

#### $ 500 – Madame Jeanette

- [x] Improved search result grouping
- [x] Improved search result relevance and scoring
- [x] Missing query terms in search results
