# Why sponsor us

Material for MkDocs is an Open Source project that is developed and maintained
by a small team of individuals who want to devote as much time as possible to
make it better every day. We need to rely on the financial support of
[our awesome sponsors], who buy us the time to work on it.

  [become a monthly sponsor]: sponsoring-tier.md
  [our awesome sponsors]: our-sponsors.md
  [squidfunk's sponsor profile]: https://github.com/sponsors/squidfunk/

## Who we are

While [the project was started] by @squidfunk as a personal side project, the
[Sponsorware] model that the project adopted in 2020 allowed him to build a
small team of amazing individuals around him, [who are now helping him] to
maintain the project, as well as the growing list of sponsors.

  [the project was started]: #how-it-started
  [sponsorware]: #sponsorware
  [who are now helping him]: #where-we-are-today

### How it started

In 2015, albeit 10 years in the industry, @squidfunk was still quite new to
Open Source. Having just finished his latest Open Source project, he realized
that the project was too complex to be explained in a plain README on GitHub.
He needed a good documentation tool for this project.

After evaluating static site generators in general and Hugo, Sphinx and MkDocs
in particular, he quickly decided that MkDocs seemed a good choice, as it was
specifically aimed at technical project documentation and easy to use.
Unfortunately, all of the available themes looked dated, and since @squidfunk
is a very visual person, he just couldn't convince himself to call it a day.

He needed to build a theme.

Months later, in February 2016, [the first version] of Material for MkDocs was
released. Over the next years, @squidfunk being the sole maintainer, countless
feature requests were implemented and bugs were fixed, allowing the project to
gain popularity and reach almost 3,000 stars on GitHub by the end of 2019. It
is still his most popular project to date.

As the project grew, @squidfunk started to implement feature requests that made
sense from a general perspective, but not for his personal use. This was the
point where the project started to shift from a personal project to a
community-driven one, and began to feel like a secondary job. Having a primary
job, many maintainers burn out when their side projects become successful, which
is why @squidfunk decided to give the [Sponsorware] model a try and make
Material for MkDocs his primary job. This turned out to be an incredible success.

  [the first version]: https://github.com/squidfunk/mkdocs-material/releases/tag/0.1.0

### Sponsorware

The Sponsorware model is simple – as a sponsor, you get early access to the
latest and greatest features of Material for MkDocs as part of [Insiders] before
everyone else gets to enjoy them, as you are the one making them possible with
your financial contributions.

Every new feature that lands in [Insiders] is linked to a funding goal with a
specific amount. Once this amount is reached, all of the features that are part
of this funding goal are merged into the community edition, making them
available to everyone. It is that simple.

This brand-new and still experimental approach not only helps keep the project
vibrant and cutting-edge but also ensures it can continue to meet and exceed
your expectations.

  [Insiders]: index.md

### Where we are today

Fast forward to today, Material for MkDocs is a thriving community-supported
and well-funded project, with over 500 sponsors and a small but growing team,
used by international companies and organizations. The project has outgrown
its original purpose by far, as it has become so much more than just a theme –
a powerful documentation framework built on top of MkDocs.

Starting in 2020 with the advent of the [Sponsorware] model, the frequency of
releases has more than doubled, with a new release seeing the light of day on
average every 1-2 weeks. Moreover, our team responds to issues as fast as
possible, keeping the number of open issues low.

## Our pledge

We're working hard to make Material for MkDocs one of the best documentation
tools out there, ridiculously powerful, a pleasure to use and most importantly –
free and Open Source. It is the financial contributions of our awesome sponsors,
that allow us to do our best work.

It's a simple equation: as long as this project is funded, we can continue to
improve it, fix bugs, and add new features. We will continue to provide the
best possible support to our users and make sure that Material for MkDocs
remains a tool that you love to use.

If you sponsor us, your contribution helps us to pay for:

1.  __Taxes__: Since we provide a service to our sponsors, we're of course
    legally obligated and happy to pay sales tax. This requirement applies to
    all sponsorship contributions, aligning us with standard business practices,
    as for the rest of the world.

2.  __Sponsorships__: A significant portion of our funding is redirected to
    upstream projects. This cultivates collaboration and supports the broader
    Open Source ecosystem. We regard those projects and their maintainers as
    essential for the persistence of Material for MkDocs.

3.  __Team__: Our team is growing! With more funds available, we can pay more
    individuals to help us make Material for MkDocs even better. Note that this
    covers various aspects of the project, like the creation of new features,
    bug resolution, support, and sponsor relations.

We are bootstrapped – no investors to please! If you decide to support us, you
help us stay independent and free from outside influence. This means we can
focus on building a solution that you love to use and keep ownership of your
documentation project without vendor lock-in.

[&nbsp; Choose a sponsoring tier <span class="mdx-sponsorship-count" data-mdx-component="sponsorship-count"></span>][sponsoring-tiers]{ .md-button .md-button--primary .mdx-sponsorship-button }

  [sponsoring-tiers]: sponsoring-tiers.md
